

# Struct npr\_meas\_t



[**ClassList**](annotated.md) **>** [**npr\_meas\_t**](structnpr__meas__t.md)



_Noise Power Ratio (notched-noise loading) result._ 

* `#include <measure_core.h>`





















## Public Attributes

| Type | Name |
| ---: | :--- |
|  double | [**inband\_psd\_dbfs**](#variable-inband_psd_dbfs)  <br> |
|  size\_t | [**n\_inband\_bins**](#variable-n_inband_bins)  <br> |
|  size\_t | [**n\_notch\_bins**](#variable-n_notch_bins)  <br> |
|  double | [**notch\_psd\_dbfs**](#variable-notch_psd_dbfs)  <br> |
|  double | [**npr\_db**](#variable-npr_db)  <br> |
|  double | [**rbw\_hz**](#variable-rbw_hz)  <br> |












































## Public Attributes Documentation




### variable inband\_psd\_dbfs 

```C++
double npr_meas_t::inband_psd_dbfs;
```




<hr>



### variable n\_inband\_bins 

```C++
size_t npr_meas_t::n_inband_bins;
```




<hr>



### variable n\_notch\_bins 

```C++
size_t npr_meas_t::n_notch_bins;
```




<hr>



### variable notch\_psd\_dbfs 

```C++
double npr_meas_t::notch_psd_dbfs;
```




<hr>



### variable npr\_db 

```C++
double npr_meas_t::npr_db;
```




<hr>



### variable rbw\_hz 

```C++
double npr_meas_t::rbw_hz;
```




<hr>

------------------------------
The documentation for this class was generated from the following file `native/inc/measure/measure_core.h`

